// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		6BD4DEA9215E686200358A05 /* Box.c in Sources */ = {isa = PBXBuildFile; fileRef = 6BD4DEA8215E686200358A05 /* Box.c */; };
		6BE6CF3B215E54E70078E653 /* Stack.c in Sources */ = {isa = PBXBuildFile; fileRef = 6BE6CF3A215E54E70078E653 /* Stack.c */; };
		6BFE03CA215520AB009717EC /* tArray.c in Sources */ = {isa = PBXBuildFile; fileRef = 6BFE03C9215520AB009717EC /* tArray.c */; };
/* End PBXBuildFile section */

/* Begin PBXCopyFilesBuildPhase section */
		6BFE03BB21551EDA009717EC /* CopyFiles */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = /usr/share/man/man1/;
			dstSubfolderSpec = 0;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 1;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		6BD4DEA7215E686200358A05 /* Box.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Box.h; sourceTree = "<group>"; };
		6BD4DEA8215E686200358A05 /* Box.c */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.c; path = Box.c; sourceTree = "<group>"; };
		6BE6CF39215E54E70078E653 /* Stack.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = Stack.h; sourceTree = "<group>"; };
		6BE6CF3A215E54E70078E653 /* Stack.c */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.c; path = Stack.c; sourceTree = "<group>"; };
		6BFE03BD21551EDA009717EC /* AdvanceC */ = {isa = PBXFileReference; explicitFileType = "compiled.mach-o.executable"; includeInIndex = 0; path = AdvanceC; sourceTree = BUILT_PRODUCTS_DIR; };
		6BFE03C8215520AB009717EC /* tArray.h */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.h; path = tArray.h; sourceTree = "<group>"; };
		6BFE03C9215520AB009717EC /* tArray.c */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.c.c; path = tArray.c; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		6BFE03BA21551EDA009717EC /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		6BFE03B421551EDA009717EC = {
			isa = PBXGroup;
			children = (
				6BFE03BF21551EDA009717EC /* AdvanceC */,
				6BFE03BE21551EDA009717EC /* Products */,
			);
			sourceTree = "<group>";
		};
		6BFE03BE21551EDA009717EC /* Products */ = {
			isa = PBXGroup;
			children = (
				6BFE03BD21551EDA009717EC /* AdvanceC */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		6BFE03BF21551EDA009717EC /* AdvanceC */ = {
			isa = PBXGroup;
			children = (
				6BFE03C8215520AB009717EC /* tArray.h */,
				6BFE03C9215520AB009717EC /* tArray.c */,
				6BE6CF39215E54E70078E653 /* Stack.h */,
				6BE6CF3A215E54E70078E653 /* Stack.c */,
				6BD4DEA7215E686200358A05 /* Box.h */,
				6BD4DEA8215E686200358A05 /* Box.c */,
			);
			path = AdvanceC;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		6BFE03BC21551EDA009717EC /* AdvanceC */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 6BFE03C421551EDA009717EC /* Build configuration list for PBXNativeTarget "AdvanceC" */;
			buildPhases = (
				6BFE03B921551EDA009717EC /* Sources */,
				6BFE03BA21551EDA009717EC /* Frameworks */,
				6BFE03BB21551EDA009717EC /* CopyFiles */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = AdvanceC;
			productName = AdvanceC;
			productReference = 6BFE03BD21551EDA009717EC /* AdvanceC */;
			productType = "com.apple.product-type.tool";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		6BFE03B521551EDA009717EC /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastUpgradeCheck = 0940;
				ORGANIZATIONNAME = "Ammad Raza";
				TargetAttributes = {
					6BFE03BC21551EDA009717EC = {
						CreatedOnToolsVersion = 9.4;
					};
				};
			};
			buildConfigurationList = 6BFE03B821551EDA009717EC /* Build configuration list for PBXProject "AdvanceC" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
			);
			mainGroup = 6BFE03B421551EDA009717EC;
			productRefGroup = 6BFE03BE21551EDA009717EC /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				6BFE03BC21551EDA009717EC /* AdvanceC */,
			);
		};
/* End PBXProject section */

/* Begin PBXSourcesBuildPhase section */
		6BFE03B921551EDA009717EC /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				6BD4DEA9215E686200358A05 /* Box.c in Sources */,
				6BE6CF3B215E54E70078E653 /* Stack.c in Sources */,
				6BFE03CA215520AB009717EC /* tArray.c in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin XCBuildConfiguration section */
		6BFE03C221551EDA009717EC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.13;
				MTL_ENABLE_DEBUG_INFO = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = macosx;
			};
			name = Debug;
		};
		6BFE03C321551EDA009717EC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				CODE_SIGN_IDENTITY = "-";
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				MACOSX_DEPLOYMENT_TARGET = 10.13;
				MTL_ENABLE_DEBUG_INFO = NO;
				SDKROOT = macosx;
			};
			name = Release;
		};
		6BFE03C521551EDA009717EC /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Debug;
		};
		6BFE03C621551EDA009717EC /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				PRODUCT_NAME = "$(TARGET_NAME)";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		6BFE03B821551EDA009717EC /* Build configuration list for PBXProject "AdvanceC" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6BFE03C221551EDA009717EC /* Debug */,
				6BFE03C321551EDA009717EC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		6BFE03C421551EDA009717EC /* Build configuration list for PBXNativeTarget "AdvanceC" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				6BFE03C521551EDA009717EC /* Debug */,
				6BFE03C621551EDA009717EC /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 6BFE03B521551EDA009717EC /* Project object */;
}
